Mailinglist Archive: opensuse-project (134 mails)

< Previous Next >
Re: [opensuse-project] openSUSE Community Releases Leap 15.2 Version
  • From: Mathias Homann <Mathias.Homann@xxxxxxxxxxxx>
  • Date: Sat, 04 Jul 2020 22:56:19 +0200
  • Message-id: <11550451.O9o76ZdvQC@kumiko>
Am Donnerstag, 2. Juli 2020, 15:01:08 CEST schrieb ddemaio:


On behalf of the release team and all contributors to the openSUSE
Project, I would like to inform you that we have released openSUSE Leap
15.1. Please view the announcement online at
https://news.opensuse.org/2020/07/02/opensuse-leap-15-2-release-brings-excit
ing-new-packages/

[...]

For the first time, Kubernetes <https://kubernetes.io/> is an official
package in the release. This gives a huge boost to container
orchestration capabilities, allowing users to automate deployments,
scale, and manage containerized applications.

Has the kubernetes that ships with 15.2 actually been tested? In its current
state it's actually embarrassing...

I'm trying to set up a cluster, and this is what I get:

leap152vm:/etc/sysctl.d # kubeadm init --pod-network-cidr=10.244.14.0/16
W0704 22:51:51.214708 17555 configset.go:202] WARNING: kubeadm cannot
validate component configs for API groups [kubelet.config.k8s.io
kubeproxy.config.k8s.io]
[init] Using Kubernetes version: v1.18.3
[preflight] Running pre-flight checks
[preflight] Pulling images required for setting up a Kubernetes cluster
[preflight] This might take a minute or two, depending on the speed of your
internet connection
[preflight] You can also perform this action in beforehand using 'kubeadm
config images pull'
error execution phase preflight: [preflight] Some fatal errors occurred:
[ERROR ImagePull]: failed to pull image registry.opensuse.org/kubic/
kube-apiserver:v1.18.3: output: v1.18.3: Pulling from kubic/kube-apiserver
no matching manifest for linux/amd64 in the manifest list entries
, error: exit status 1
[ERROR ImagePull]: failed to pull image registry.opensuse.org/kubic/
kube-controller-manager:v1.18.3: output: v1.18.3: Pulling from kubic/kube-
controller-manager
no matching manifest for linux/amd64 in the manifest list entries
, error: exit status 1
[ERROR ImagePull]: failed to pull image registry.opensuse.org/kubic/
kube-scheduler:v1.18.3: output: v1.18.3: Pulling from kubic/kube-scheduler
no matching manifest for linux/amd64 in the manifest list entries
, error: exit status 1
[ERROR ImagePull]: failed to pull image registry.opensuse.org/kubic/
kube-proxy:v1.18.3: output: v1.18.3: Pulling from kubic/kube-proxy
no matching manifest for linux/amd64 in the manifest list entries
, error: exit status 1
[preflight] If you know what you are doing, you can make a check non-fatal
with `--ignore-preflight-errors=...`
To see the stack trace of this error execute with --v=5 or higher


Basically, it fails to initialize the cluster because it tries to pull
container images from the image registry that is preconfigured, and the images
are not there.

That is not good when kubernetes is actually one of the headlines in the
release announcement.

Cheers
Mathias


--
Mathias Homann
Mathias.Homann@xxxxxxxxxxxx
Jabber (XMPP): lemmy@xxxxxxxxxxxxxx
IRC: [Lemmy] on freenode and ircnet (bouncer active)
telegram: https://telegram.me/lemmy98
keybase: https://keybase.io/lemmy
gpg key fingerprint: 8029 2240 F4DD 7776 E7D2 C042 6B8E 029E 13F2 C102
< Previous Next >
Follow Ups
References